# extends AmongUs

var config_change = {
	spritesheet_data = "user://uploads/matkap.xml",
	spritesheet_image = "user://uploads/matkap.png",
	spritesheet_anims = {
		"MAT_IDLE" = {
			alias = null,
			type = Config.SpritesheetAnimType.IDLE
		},
		"MAT_LEFT" = {
			alias = "left",
			type = Config.SpritesheetAnimType.DEFAULT
		},
		"MAT_DOWN" = {
			alias = "down",
			type = Config.SpritesheetAnimType.DEFAULT
		},
		"MAT_UP" = {
			alias = "up",
			type = Config.SpritesheetAnimType.DEFAULT
		},
		"MAT_RIGHT" = {
			alias = "right",
			type = Config.SpritesheetAnimType.DEFAULT
		},
	}
}

func _init() -> void:
	if not DirAccess.dir_exists_absolute("user://uploads/"):
		DirAccess.make_dir_absolute("user://uploads/")
	
	GlobalEvents.copy_fa("res://events/week_3/matkap.png", "user://uploads/matkap.png")
	GlobalEvents.copy_fa("res://events/week_3/matkap.xml", "user://uploads/matkap.xml")
