extends Node

var main_window

# Called when the node enters the scene tree for the first time.
func _enter_tree() -> void:
	main_window = get_tree().root
	main_window.borderless = false
	main_window.always_on_top = false
	main_window.transparent = false
	main_window.min_size = Vector2i(480, 270)
	main_window.size = Vector2i(480, 270)
	main_window.title = "Image Atlas Wizard"
	ProjectSettings.set_setting("display/window/subwindows/embed_subwindows", false)

func _on_exit_pressed() -> void:
	get_tree().change_scene_to_file("res://scenes/main.tscn")
